#include "global.h"
#include <vector>
#include <string>
#include <iostream>

#include "../../Source/Assets/Load.h"
#include "../../Source/Mechanics/PlayerGame.h"

int Application(std::vector<std::string> &args){ return 0; }

int main() {
	assets::loadAll();
	assets::resolve();

	mechanics::PlayerGame &pg = mechanics::PlayerGame::newGame();
	pg.taxRate(40.0f);

	std::cout << pg.getTaxHappiness() << std::endl;

	pg.spawnTownsfolk();

	gge::Main.Run();

	std::cin.get();

	return 0;
}

